<html>
<head>
<title>OGRE: Ogre::RaySceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a></div>
<h1>Ogre::RaySceneQueryListener Class Reference</h1><!-- doxytag: class="Ogre::RaySceneQueryListener" -->Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::RaySceneQueryListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1RaySceneQueryListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#055ea5aff0165926892ad74289d2f73c">~RaySceneQueryListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#c3c09aba6b71ca28d721be30ed8f06ed">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *obj, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a movable objects intersects the ray.  <a href="#c3c09aba6b71ca28d721be30ed8f06ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#7c390bfdec4a3e7eaf0491d8cc7b6d3c">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a world fragment is intersected by the ray.  <a href="#7c390bfdec4a3e7eaf0491d8cc7b6d3c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Because the <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> returns results in an extra bit of information, namely distance, the listener interface must be customised from the standard <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00329">329</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="055ea5aff0165926892ad74289d2f73c"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::~RaySceneQueryListener" ref="055ea5aff0165926892ad74289d2f73c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RaySceneQueryListener::~RaySceneQueryListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00332">332</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c3c09aba6b71ca28d721be30ed8f06ed"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::queryResult" ref="c3c09aba6b71ca28d721be30ed8f06ed" args="(MovableObject *obj, Real distance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RaySceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>distance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a movable objects intersects the ray. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1RaySceneQuery.html#88c9810df53d94b893bc5aef885d14a1">Ogre::RaySceneQuery</a>.</p>

</div>
</div><p>
<a class="anchor" name="7c390bfdec4a3e7eaf0491d8cc7b6d3c"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::queryResult" ref="7c390bfdec4a3e7eaf0491d8cc7b6d3c" args="(SceneQuery::WorldFragment *fragment, Real distance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RaySceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td>
          <td class="paramname"> <em>fragment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>distance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a world fragment is intersected by the ray. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1RaySceneQuery.html#bd5211784dd04e0e0705fe21d43cb900">Ogre::RaySceneQuery</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:29 2008
</p>
</body>
</html>
